package main

import "fmt"

/* Dato n, restituisce il prossimo numero nella sequenza di Collatz di n (deve
   essere n>1) */
func next(n int) int {
  if n % 2 == 0 {
    return n / 2
  } else {
    return 3 * n + 1
  }
}

/* Stampa l'intera sequenza di Collatz di seme n, con valori separati da TAB */
func printCollatz(n int) {
  for {
    fmt.Print(n, "\t")
    if n == 1 {
      fmt.Println()
      return
    }
    n = next(n)
  }
}

func main() {
  var n int
  fmt.Scan(&n)
  printCollatz(n)
}
